---
title: word-spacing
slug: Web/SVG/Attribute/word-spacing
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>word-spacing</code></strong> attribute specifies spacing behavior between words.</p>

<p>If a {{cssxref("length")}} is provided without a unit identifier (e.g. an unqualified number such as 128), the browser processes the &lt;length&gt; as a width value in the current user coordinate system.</p>

<p>If a &lt;length&gt; is provided with one of the unit identifiers (e.g. .25em or 1%), then the browser converts the &lt;length&gt; into a corresponding value in the current user coordinate system.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>word-spacing</code> can be used as a CSS property. See the {{cssxref("word-spacing", "CSS word-spacing")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following five elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 250 50" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" word-spacing="2"&gt;Bigger spacing between words&lt;/text&gt;
  &lt;text x="0" y="40" word-spacing="-0.5"&gt;Smaller spacing between words&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "250", "100")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>normal</code> | {{cssxref("length")}}</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Default values</th>
   <td><code>normal</code></td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/letter-spacing#Values">CSS <code>letter-spacing</code></a> property.</p>

<div class="notecard note">
<p>Prior to Firefox 72 Firefox <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=371787">ignored <code>word-spacing</code></a> and renders text without. </p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Text", "#word-spacing-property", "word-spacing")}}</td>
   <td>{{Spec2("CSS3 Text")}}</td>
   <td>SVG 2 just refers to the definition in CSS Text 3.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#WordSpacingProperty", "word-spacing")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.word-spacing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("word-spacing", "CSS word-spacing")}}</li>
</ul>
